Package org.apache.sling.repoinit.parser.operations

# Class AclLine

java.lang.Object
org.apache.sling.repoinit.parser.operations.AclLine

@ProviderType public class AclLine extends Object
A single "set ACL" or "remove ACL" line

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static enum`
`AclLine.Action`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char`
`ID_DELIMINATOR`
`static final String`
`PATH_HOME`
`static final String`
`PATH_REPOSITORY`
`static final String`
`PROP_NODETYPES`
`static final String`
`PROP_PATHS`
`static final String`
`PROP_PRINCIPALS`
`static final String`
`PROP_PRIVILEGES`
`static final char`
`SUBTREE_DELIMINATOR`

## Constructor Summary

Constructors
Constructor
Description
`AclLine(AclLine.Action a)`

## Method Summary

Modifier and Type
Method
Description
`AclLine.Action`
`getAction()`
`List<String>`
`getProperty(String name)`
Return the named multi-value property, or an empty list if not found.
`List<RestrictionClause>`
`getRestrictions()`
`void`
`setProperty(String name, List<String> values)`
`void`
`setRestrictions(List<RestrictionClause> restrictions)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### PROP_PATHS

public static final String PROP_PATHS

See Also:
  - Constant Field Values

### PROP_PRINCIPALS

public static final String PROP_PRINCIPALS

See Also:
  - Constant Field Values

### PROP_PRIVILEGES

public static final String PROP_PRIVILEGES

See Also:
  - Constant Field Values

### PROP_NODETYPES

public static final String PROP_NODETYPES

See Also:
  - Constant Field Values

### PATH_REPOSITORY

public static final String PATH_REPOSITORY

See Also:
  - Constant Field Values

### PATH_HOME

public static final String PATH_HOME

See Also:
  - Constant Field Values

### ID_DELIMINATOR

public static final char ID_DELIMINATOR

See Also:
  - Constant Field Values

### SUBTREE_DELIMINATOR

public static final char SUBTREE_DELIMINATOR

See Also:
  - Constant Field Values

## Constructor Details

### AclLine

public AclLine(AclLine.Action a)

## Method Details

### getAction

public AclLine.Action getAction()

### getProperty

public List<String> getProperty(String name)
Return the named multi-value property, or an empty list if not found.

Parameters:
  `name` - the property to get the value of
Returns:
  the value of the property.

### setProperty

public void setProperty(String name, List<String> values)

### setRestrictions

public void setRestrictions(List<RestrictionClause> restrictions)

### getRestrictions

public List<RestrictionClause> getRestrictions()

### toString

public String toString()

Overrides:
  `toString` in class `Object`